<?php
/**
 * Created by PhpStorm.
 * User: Desenv-005
 * Date: 19/12/2018
 * Time: 17:37
 */

namespace Schaffen\ProductionOrder\ProductionOrder\Services;


use Schaffen\ProductionOrder\ProductionOrder\Managers\CompositeProductManager;


class CreateCompositeProduct
{
    private $composite_product_manager;
    private $snapshot_inventory_manager;
    private $warehouse_inventory_manager;
    private $production_order_manager;
    private $production_order_item_manager;

    const OUT = 0;
    const IN = 1;
    const INVENTORY_TYPE = "ORDEM_PRODUCAO";

    public function __construct(
        CompositeProductManager $composite_product_manager
    )
    {
        $this->composite_product_manager = $composite_product_manager;
    }

    public function createCompositeProduct(array $input = [])
    {
        return $this->composite_product_manager->storeOrUpdate($input, $input['pcp_codigo'] ?? NULL);
    }

}
